.isi-box-container {
  display: flex;
  height: 148px;
  padding: 0 var(--lds-g-spacing-400) var(--lds-g-spacing-800)
    var(--lds-g-spacing-400);
  flex-direction: column;
  align-items: flex-start;
  gap: var(--lds-g-spacing-100);
  border-radius: var(--lds-g-radius-2) var(--lds-g-radius-2) 0 0;
  border-top: 1px solid var(--lds-g-color-neutral-base-030);
  border-right: 1px solid var(--lds-g-color-neutral-base-030);
  border-left: 1px solid var(--lds-g-color-neutral-base-030);
  background: var(--lds-g-color-neutral-base-000);
  margin: var(--lds-g-spacing-0) var(--lds-g-spacing-400);
  overflow: hidden;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 999;
  transition: height 0.3s ease;
  scrollbar-width: none;
}

.isi-box-container.isi-box-fixed-container {
  position: static;
  overflow: unset;
  padding: var(--lds-g-spacing-800);
  border: none;
  height: auto !important;
}

.isi-box-container.isi-box-fixed-container .plus-icon {
  display: none;
}

.isi-box-wrapper {
  display: flex;
  gap: var(--lds-g-spacing-400);
}

.left-container,
.right-container {
  position: relative;
}

.isi-title,
.isi-title * {
  color: var(--lds-g-color-neutral-base-080);
  /* Ringside/Body/Medium/Bold */
  font-family: var(--Typography-Font-Family-Ringside, Ringside Sans);
  font-size: var(--lds-g-font-size-2);
  font-style: normal;
  font-weight: 900;
  line-height: 26px;
  /* 150% */
}

.isi-description,
.isi-description * {
  color: var(--lds-g-color-neutral-base-080);
  /* Ringside/Body/Small/Regular */
  font-family: var(--Typography-Font-Family-Ringside, Ringside Sans);
  font-size: var(--lds-g-font-size-1);
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
  /* 142.857% */
}

.right-title-box,
.left-title-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 0;
  width: 100%;
  background: #fff;
  padding-top: var(--lds-g-spacing-200);
  margin-bottom: var(--lds-g-spacing-150);
}

.plus-icon {
  cursor: pointer;
  transition: transform 0.3s ease;
  width: 32px;
  height: 32px;
  display: block;
}

.plus-icon img {
  width: 32px;
  height: 32px;
}

.icon-green-minus img {
  width: 24px;
  height: 24px;
}

/* Styling for highlighted text wrapped in underscores */
.underscore-wrapper {
  color: var(--lds-g-color-brand-base-060);
}

/* Styling for content wrapped in square brackets */
.borderWrapper {
  border: 2px solid var(--lds-g-color-neutral-base-080);
  padding: var(--lds-g-spacing-200);
  display: block;
}

.isi-box-container .isi-description p a {
  color: var(--lds-g-color-brand-base-060);
  box-shadow: none;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: 4%;
  text-underline-offset: 24%;
  text-underline-position: from-font;
  width: fit-content;
  cursor: pointer;
  background: none;
  outline: none;
  font-weight: var(--lds-g-font-weight-900);
}

.isi-box-container .isi-description p a * {
  font-weight: var(--lds-g-font-weight-900);
  color: var(--lds-g-color-brand-base-060);
}

.isi-box-container .isi-description p a:visited {
  color: var(--lds-g-color-palette-red-080);
}

.isi-box-container .isi-description p a:focus-visible {
  border-radius: var(--lds-g-radius-neg-2);
  color: var(--lds-g-color-palette-red-070);
  outline: var(--lds-g-sizing-border-2) solid var(--lds-g-color-palette-red-070);
  padding: var(--lds-g-spacing-050) var(--lds-g-spacing-0);
  text-decoration: none;
}

.isi-box-container .isi-description p a:hover {
  color: var(--lds-g-color-brand-base-060);
}

.isi-box-container .isi-description p a:active {
  color: var(--lds-g-color-palette-red-070);
}

.isi-box-container {
  display: flex;
  flex-direction: row-reverse;
}
.isi-icons-container {
  width: 10%;
  padding-top: 16px;
}

@media (width > 768px) {
  .isi-box-container.collapsedContainer {
    max-height: 20%;
  }

  .left-title-box .plus-icon {
    display: none;
  }

  .isi-box-container {
    left: 50%;
    transform: translateX(-50%);
    max-width: 1440px;
    margin: 0px auto;
    width: 100%;
  }

  .isi-box-container.isi-box-fixed-container {
    transform: unset;
    max-width: 1440px;
  }

  /* Default 50-50 layout */
  .isi-box-wrapper.layout-50-50 .left-container {
    width: 50%;
  }

  .isi-box-wrapper.layout-50-50 .right-container {
    width: 50%;
  }

  /* 60-40 layout */
  .isi-box-wrapper.layout-60-40 .left-container {
    width: 66%;
  }

  .isi-box-wrapper.layout-60-40 .right-container {
    width: 31.9%;
  }
}

@media (width <= 768px) {
  .isi-box-container.collapsedContainer {
    max-height: 30%;
  }

  .isi-box-container {
    margin: 0;
    padding: 0;
    position: fixed;
    bottom: 0;
    left: 0;
    height: 30%;
    right: 0;
    width: 100%;
    z-index: 100;
    border-radius: var(--lds-g-radius-2) var(--lds-g-radius-2) 0 0;
    border-top: 1px solid var(--lds-g-color-neutral-base-030);
    border-right: 1px solid var(--lds-g-color-neutral-base-030);
    border-left: 1px solid var(--lds-g-color-neutral-base-030);
    background: var(--lds-g-color-neutral-base-000);
    /* max-height will be set dynamically via JavaScript for non-fixed containers */
    padding-bottom: env(safe-area-inset-bottom);
  }

  .isi-description.accordion-content p {
    color: var(--lds-g-color-neutral-base-080);
    /* Ringside/Body/Small/Regular */
    font-family: var(--Typography-Font-Family-Ringside, Ringside Sans);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
  }

  .isi-box-container.mobile-view.isi-box-fixed-container {
    padding: var(--lds-g-spacing-200);
    box-shadow: none;
    max-height: unset !important;
    position: static;
    height: auto !important;
  }

  .isi-title {
    margin-bottom: var(--lds-g-spacing-0);
  }

  .isi-title,
  .isi-title * {
    font-size: 18px;
    line-height: 24px;
  }

  .isi-title span {
    display: inline-flex;
  }
  .isi-box-wrapper {
    flex-direction: column-reverse;
    /* Reverse order to show from bottom to top */
    gap: 0;
    width: 100%;
  }

  .left-container .accordion-header {
    border-bottom: none;
    padding-top: var(--lds-g-spacing-150);
    padding-bottom: var(--lds-g-spacing-150);
  }

  /* Accordion styles for mobile */
  .accordion-header {
    cursor: pointer;
    margin-bottom: 0;
    padding: var(--lds-g-spacing-150);
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--lds-g-color-neutral-base-000);
  }

  .isi-box-container.mobile-view.isi-box-fixed-container .accordion-header {
    padding: var(--lds-g-spacing-0) var(--lds-g-spacing-0)
      var(--lds-g-spacing-200);
    border-bottom: none;
  }

  .left-container .accordion-content {
    max-height: 200px;
    padding: var(--lds-g-spacing-0) var(--lds-g-spacing-150)
      var(--lds-g-spacing-150);
  }

  .accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding: 0;
    margin: 0;
    transform-origin: bottom;
  }

  .isi-box-fixed-container
    .isi-box-wrapper
    .right-container.accordion-container
    .isi-description.accordion-content {
    border-top: 0px;
  }

  .right-container.accordion-container .accordion-content:not(.expanded) {
    border-top: 1px solid var(--lds-g-color-neutral-base-030);
  }

  .isi-box-container.mobile-view.isi-box-fixed-container .accordion-content {
    max-height: unset;
  }
  .left-container.accordion-container .accordion-content.expanded {
    max-height: calc(100vh - 235px);
  }
  .accordion-content.expanded {
    max-height: calc(100vh - 400px);
    /* Arbitrary value, just needs to be large enough */
    overflow-y: auto;
    padding: var(--lds-g-spacing-150);
    border-bottom: 1px solid #e5e5e5;
  }

  .isi-box-container.mobile-view.isi-box-fixed-container .accordion-container {
    padding: var(--lds-g-spacing-400) var(--lds-g-spacing-0);
  }

  .isi-box-container.mobile-view.isi-box-fixed-container
    .accordion-content.expanded {
    border-bottom: none;
    padding: var(--lds-g-spacing-0);
  }

  .accordion-container {
    border-bottom: none;
    position: relative;
  }

  .plus-icon {
    width: 24px;
    height: 24px;
    margin-left: var(--lds-g-spacing-100);
  }

  .plus-icon img {
    min-width: 24px;
    height: 24px;
    position: relative;
    top: -4px;
  }

  .icon-green-minus img {
    width: 18px;
    height: 18px;
  }
}
